Last Comment Bug 291074 - No accessibility events when data in a tree row changes in about:config
: No accessibility events when data in a tree row changes in about:config
Status: RESOLVED FIXED
: access, fixed1.8, sec508
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Aaron Leventhal
:
: alexander :surkov
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-19 20:17 PDT by Aaron Leventhal
Modified: 2006-03-28 08:25 PST (History)
2 users (show)
asa: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
A fix only for about:config, good enough for Firefox for now (6.56 KB, patch)
2005-09-12 11:48 PDT, Aaron Leventhal
mconnor: review+
neil: superreview+
asa: approval1.8b5+
Details | Diff | Splinter Review

Description Aaron Leventhal 2005-04-19 20:17:41 PDT
Steps to reproduce:
1. Go to URL about:config
2. Navigate to a boolean pref
3. Type Shift+F10 T to toggle

No accessibility events are fired to indicate there is a change, and a screen
reader does not speak the change.
Comment 1 Aaron Leventhal 2005-09-12 11:48:02 PDT
Created attachment 195774 [details] [diff] [review]
A fix only for about:config, good enough for Firefox for now
Comment 2 Aaron Leventhal 2005-09-12 11:48:19 PDT
Now it fires NameChange events.
Comment 3 neil@parkwaycc.co.uk 2005-09-14 09:42:52 PDT
Comment on attachment 195774 [details] [diff] [review]
A fix only for about:config, good enough for Firefox for now

sr=me if you patch xpfe's config.js too ;-)
Comment 4 Aaron Leventhal 2005-09-14 10:00:12 PDT
Comment on attachment 195774 [details] [diff] [review]
A fix only for about:config, good enough for Firefox for now

I also patched xpfe, as Neil requested.

I'd like to leave this bug open, for future work on the general case (for
things like Thunderbird).
Comment 5 Aaron Leventhal 2005-09-14 14:24:34 PDT
Well, I'll mark this fixed and file a new bug fore the general case.
Comment 6 Asa Dotzler [:asa] 2005-09-15 16:02:52 PDT
please add the fixed1.8 keyword when you land this on the branch

Note You need to log in before you can comment on or make changes to this bug.